%% This script handles all functionality related to the waypoints:
% radius of acceptance, switching controller, etc.

if length(WP) > k
    R_acc = 0.1; 
elseif k == 1
    R_acc = 0.1;
else
    R_acc = 0.05; %5 cm accuracy
end

e_WP = sqrt((WP(k,1) - x)^2 + (WP(k,2) - y)^2);

if e_WP < R_acc
    if length(WP) > k
        k = k+1;
        PID.Heading.integral = 0;
    else
        done = 1;
    end
end

x_d = WP(k,1);
y_d = WP(k,2);
z_d = WP(k,3);