% Created by Bent O. Arnesen
% Date: Spring, 2016
% General remarks: Do not use, abuse or distribute without proper reference


%% Run file
clear; clc;
  
%Initial position
eta_0 = [0 0 0 0]';

%Paths
for a = 1:1 
%     %Testing buoyancy when starting at depth = 1m
%     simtime = 30;
%     eta_0 = [0 0 1 0]';
%     waypoints = [
%         0 0 0;
%         0 0 0;
%         1 0 0];
% 

%Random pattern
% waypoints = [
%     1   1   0; 
%     3   2   0; 
%     3   0   1;
%     2   1   1;
%     2   0   0.8;
%     1   0.5 0.8];  

%Lawnmower pattern
eta_0 = [6.2 -.55 0 5*pi/6]';
waypoints = [ 
    6   -1   0.1937;
    6   0.5  0.1937;
    5.5 0.5  0.1937;
    5.5 -1   0.1937;
    5 -1     0.1937;
    5 0.5    0.1937;
    4.5 0.5  0.1937;
    4.5 -1   0.1937];

%Zig-zag pattern
% eta_0 = [7 -1.85 0 20*pi/180];
% waypoints = [
%     6   -1.5    0;
%     5.5 0.5 0;
%     5   -0.5    0;
%     4.5 0.5 0;
%     4   -1  0;
%     5.5 -1  0];
    

end

holdTime = 0;

simtime = 80; %Simulation time
sim VideoraySimulator; %Run simulator
plot_SimulationVideoray; %Plot results



