
%Thruster input vector
u  = zeros(4,1); 
j = 1;


dataMat = zeros(1,14);

dt = tic;
time = tic;

while(1)
    
    handle_joystick; %Handles all joystick events
    
    if (js.getButton(START) == 1) %Exit
        vr.setThruster([0; 0; 0; 0]);
        break;
    end
    
    vr.setThruster(u); 
    
    if abs(time - toc(dt)) > 0.05
        j = j + 1;
        [p, q, r, a_surge, a_sway, a_heave, p_dot, q_dot, r_dot, mag_x, mag_y, mag_z, depth] = vr.read_IMU_data();
        dataMat(j,:) = [toc(time), p, q, r, a_surge, a_sway, a_heave, p_dot, q_dot, r_dot, mag_x, mag_y, mag_z, depth];
        dt = tic;
    end

end

dataMat(:,1)*1000;
dataMat(:,14)*1000;

% for i = 1:j
%     fprintf('Time: %.2f \t Depth: %.2f \n', dataMat(i,1), dataMat(i,14));
% end

%Delete objects
js.delete();
vr.delete();
clear vr;
clear js;

