function [x, y, z, psi] = prevPos(dt, dataMat)

persistent deadTime;

if isempty(deadTime)
    deadTime = tic;
elseif toc(deadTime) > dt
    x = NaN;
    y = NaN;
    z = NaN;
    psi = NaN;
    fprintf('Signal lost for too long: %d seconds\n', dt);
    clear deadTime;
    return;
end

for i = length(dataMat):-1:2
    if isnan(dataMat(i,3))
        continue;
    else
        x = dataMat(i,3);
        y =  dataMat(i,5);
        z = dataMat(i,7);
        psi = dataMat(i,9);
        return;
    end

end

    x = NaN;
    y = NaN;
    z = NaN;
    psi = NaN;
end