
% Created by by Bent O. Arnesen
% Date: April, 2016
% General remarks: Do not use, abuse or distribute without proper reference

%Explanation:

%Empty plot
clf;
hold on;

%Plot interesting data
plot(x, y, 'Marker', 'o'); %Desired position
quiver(x,y,0.2*cos(psi),0.2*sin(psi),1); %Current heading
quiver(x,y,0.4*cos(psi_d),0.4*sin(psi_d),1); %Desired heading

%Print error in plot
plot(x_d,y_d, 'Marker', 'o', 'Color', 'k');
a = strcat('Error: ', num2str(deg2pipi(rad2deg(e_psi))));
text(4.2, 0.3, a); 

%Specify axis limits to avoid jumping plot
axis([2 6 -2 2])
camroll(90);